import tools from './common/tools.js'
import types from './common/types.js'
import api from './common/api.js'

Vue.prototype.tools = tools
Vue.prototype.types = types
Vue.prototype.api = api

// #ifndef VUE3
import Vue from 'vue'
import App from './App'

Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
import App from './App.vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
